com.fasterxml.jackson.databind.ser.std

## Class StdArraySerializers

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.std.StdArraySerializers

-     public class StdArraySerializers
      extends Object

  Dummy container class to group standard homogenous array serializer implementations (primitive arrays and String array).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StdArraySerializers.BooleanArraySerializer`
    `static class` | `StdArraySerializers.ByteArraySerializer` Deprecated. Since 2.6 use the main-level implementation, base class of this class
    `static class` | `StdArraySerializers.CharArraySerializer` Character arrays are different from other integral number arrays in that they are most likely to be textual data, and should be written as Strings, not arrays of entries.
    `static class` | `StdArraySerializers.DoubleArraySerializer`
    `static class` | `StdArraySerializers.FloatArraySerializer`
    `static class` | `StdArraySerializers.IntArraySerializer`
    `static class` | `StdArraySerializers.LongArraySerializer`
    `static class` | `StdArraySerializers.ShortArraySerializer`
    `protected static class` | `StdArraySerializers.TypedPrimitiveArraySerializer<T>` Intermediate base class used for cases where we may add type information (excludes boolean/int/double arrays).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static HashMap<String,JsonSerializer<?>>` | `_arraySerializers`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StdArraySerializers()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonSerializer<?>` | `findStandardImpl(Class<?> cls)` Accessor for checking to see if there is a standard serializer for given primitive value type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _arraySerializers

          protected static final HashMap<String,JsonSerializer<?>> _arraySerializers

  - ### Constructor Detail

    - #### StdArraySerializers

          protected StdArraySerializers()

  - ### Method Detail

    - #### findStandardImpl

          public static JsonSerializer<?> findStandardImpl(Class<?> cls)

      Accessor for checking to see if there is a standard serializer for given primitive value type.

Copyright © 2014–2015 FasterXML. All rights reserved.